Bug Hunting Session
Bug 104867 - Impress does not compress repeated(copied) images with Minimize Presentation
Summary: Impress does not compress repeated(copied) images with Minimize Presentation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2016-12-22 16:21 UTC by Maxim Britov
Modified: 2018-01-02 09:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (4.01 MB, application/vnd.oasis.opendocument.presentation)
2016-12-22 16:21 UTC, Maxim Britov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Britov 2016-12-22 16:21:32 UTC
Created attachment 129879 [details]
Sample

Check attached file:
1. Open in Impress
2. Tools - Minimize Presentation
3. press Finish
4. save as mini
5. Check file size

On my LO 5.2 and on LO 5-3~2016-12-21_23.17.44:
4695479 Dec 22 19:16 prezmin52-2.mini.odp
4202188 Dec 22 18:56 prezmin52-2.odp
+ ~400kb

$ 7z l prezmin52-2.odp |fgrep Pict
2016-12-22 15:56:36 .....      4178606      4178606  Pictures/1000000000000640000004B049DB91076AFAE093.png

$ 7z l prezmin52-2.mini.odp |fgrep Pict
2016-12-22 16:16:14 .....      4178606      4178606  Pictures/1000000000000640000004B049DB91076AFAE093.png
2016-12-22 16:16:14 .....       468836       468836  Pictures/1000000000000640000004B0A36F7E71C1FA14AE.jpg
Comment 1 Buovjaga 2016-12-31 16:25:22 UTC
I chose optimize for screen size and it truly increases the file size.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: fc0d4e6bc43d5f982452df07930f5ecf5927ad22
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 31st 2016
Comment 2 Cor Nouws 2017-01-01 09:21:27 UTC
a test with one random file of my own in a recent daily, does reduce file size significantly
Comment 3 Aron Budea 2017-01-01 10:39:36 UTC
Already creates larger presentation in 3.3.0 / Windows 7.
Comment 4 Buovjaga 2017-01-01 14:26:09 UTC
(In reply to Cor Nouws from comment #2)
> a test with one random file of my own in a recent daily, does reduce file
> size significantly

It must be specific to attachment 129879 [details], then.

Maxim: looking at your grepping result, were you expecting the PNG to be turned into a JPEG? Now it seems to have created a JPEG just for a thumbnail or something and not removed the PNG.
Comment 5 Maxim Britov 2017-01-01 14:56:44 UTC
(In reply to Buovjaga from comment #4)
> (In reply to Cor Nouws from comment #2)
> > a test with one random file of my own in a recent daily, does reduce file
> > size significantly
> 
> It must be specific to attachment 129879 [details], then.

Yes, stop test in on random files.

Simple test:
1. New presentation
2. Insert some image
3. Add new page
4. Copy Image from 1st page to 2nd.
5. Save. Now in .odp you have 1 image file for both presentation's pages. It's good.
6. Open file again. Minimize. Check mini file. You have two images. Compressed for image on 1st page and untouched for image on 2nd page.

> 
> Maxim: looking at your grepping result, were you expecting the PNG to be
> turned into a JPEG? Now it seems to have created a JPEG just for a thumbnail
> or something and not removed the PNG.

Thumbnails in folder "Thubnails/", but my grepping for "Pictures/" ;)
You may get minimized file from my example. On first page right click on image and select "Edit with External tool". It will see jpeg file, not png.
Comment 6 QA Administrators 2018-01-02 03:23:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug